Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog
Interface InventoryInfo

All Superinterfaces
  Belonging, BusinessSmartComponent, Cloneable, Comparable, Serializable

All Known Implementing Classes:
  InventoryInfoImpl

Deprecated See BEA Commerce product offering

    @Deprecated
    public interface InventoryInfo

extends Belonging

The InventoryInfo class is used to track simple inventory information for product items. Attribute: shippingTime

- Containment: By Value
- Multiplicity: 1:1

Attribute: inStock

- Containment: By Value
- Multiplicity: 1:1

Attribute: specialNotices

- Containment: By Value
- Multiplicity: 1:1

See Also
  `InventoryInfoHome`, `InventoryInfoImpl`

Field Summary
`static String` | `IN_STOCK` Deprecated See BEA Commerce product offering
`static String` | `OUT_OF_STOCK` Deprecated See BEA Commerce product offering

Method Summary
`boolean` | `getInStock()` Deprecated See BEA Commerce product offering
`String` | `getShippingTime()` Deprecated See BEA Commerce product offering
`String` | `getSpecialNotices()` Deprecated See BEA Commerce product offering
`void` | `setInStock(boolean inStock)` Deprecated See BEA Commerce product offering
`void` | `setShippingTime(String shippingTime)` Deprecated See BEA Commerce product offering
`void` | `setSpecialNotices(String specialNotices)` Deprecated See BEA Commerce product offering

Methods inherited from interface com.beasys.commerce.foundation.Belonging
`clone, equals, interfaceName, setByValue, value`

Methods inherited from interface java.lang.Comparable
`compareTo`

Field Detail

### IN_STOCK

    static final String IN_STOCK

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### OUT_OF_STOCK

    static final String OUT_OF_STOCK

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

Method Detail

### getShippingTime

    String getShippingTime()

  Deprecated See BEA Commerce product offering

  Get the value of shippingTime

  Returns
    shippingTime.

### setShippingTime

    void setShippingTime(String shippingTime)

  Deprecated See BEA Commerce product offering

  Set the value of shippingTime

  Parameters
    `shippingTime` - shippingTime to be added

### getInStock

    boolean getInStock()

  Deprecated See BEA Commerce product offering

  Get the value of inStock

  Returns
    inStock.

### setInStock

    void setInStock(boolean inStock)

  Deprecated See BEA Commerce product offering

  Set the value of inStock

  Parameters
    `inStock` - inStock to be added

### getSpecialNotices

    String getSpecialNotices()

  Deprecated See BEA Commerce product offering

  Get the value of specialNotices

  Returns
    specialNotices.

### setSpecialNotices

    void setSpecialNotices(String specialNotices)

  Deprecated See BEA Commerce product offering

  Set the value of specialNotices

  Parameters
    `specialNotices` - specialNotices to be added

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved